<?php

$json = file_get_contents('php://input');   
    $obj = json_decode($json);
    $id = $obj->flag;
    $msg;
    
    header('Content-Type: application/json');
switch($id){
    
    case '0':
        $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        $conn -> set_charset("utf8");
        $id_insert;
        $mes;
        
        $query_fecha ="SELECT  * FROM(SELECT 
                socio_servicio.idServicio as 'id',
                pagos.FechaInicio,
                servicios.NombreServicio,
                socio_servicio.idSocio_Servicio AS 'idss',
                socio_servicio.idSocioTitular as 'st',
                pagos.FechaFin,
                socios.Activo
            FROM 
                socio_servicio
                	INNER JOIN pagos
            	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                    INNER JOIN servicios
            	        ON socio_servicio.idServicio = servicios.idServicio
                    INNER JOIN socios
            	        ON socio_servicio.idSocio = socios.idSocio
            WHERE
                socio_servicio.idSocio = '$obj->id_cliente'
                AND pagos.Cancelado = 0  
                AND pagos.Visible = 1
			GROUP BY
				socio_servicio.idSocio_Servicio DESC
            ) AS tmp
        GROUP BY
        	tmp.id
        ORDER BY
            tmp.idss DESC";
            
        $result_fecha = $conn->query($query_fecha);
            
        if($obj->opcion == "00"){
            $msg = 'No tienes acceso a esta sucursal';
            if($result_fecha->num_rows > 0){
                while($row = $result_fecha->fetch_assoc()){
                    $idSer = $row["id"];
                    //echo $row["Activo"]."\n";
                    $subQuery = "SELECT * FROM servicios_sucursal JOIN servicios ON servicios_sucursal.servicios_idservicio = servicios.idServicio
                    WHERE servicios_sucursal.servicios_idservicio = '$obj->id_servicio' AND servicios.Borrado != 1";
                    $resultado2 = $conn->query($subQuery);
                    if($row['Activo'] == '0'){
                       $band_activo == TRUE;
                    }
                    
                    //echo $obj->paquetes, $row['id']."\n";
                    if(strpos($obj->paquetes, $row['id']) || $obj->paquetes == $row['id']){
                        $band_clase = TRUE;
                    }
                    if($resultado2->num_rows > 0){
                        //$row_2 = mysqli_fetch_array($resultado2);
                        while($row_2 = $resultado2->fetch_assoc()){
                            //echo $obj->sucursal. ' != '. $row_2['sucursal_idsucursal']."\n";
                            if($obj->sucursal == $row_2['sucursal_idsucursal']){
                                //$msg = 'No tienes acceso a esta sucursal';
                                $msg = 'OK';
                                //exit();
                            }
                        }
                    }
            
                }
            }
            
            if($msg == 'OK'){
                echo 'Esta clase esta incluida en tu Plan';
                $conn->close();
                exit();
            }
        }
        $query;
        if($obj->opcion == '97'){
            $rowPlanP = $result_fecha->fetch_assoc();
            $idP = $rowPlanP['id'];
            $query = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion)
            VALUES('$idP','$obj->id_cliente','$obj->id_cliente',CURDATE(),CURDATE())";
        }else{
            $query = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion)
            VALUES('$obj->id_servicio','$obj->id_cliente','$obj->id_cliente',CURDATE(),CURDATE())";
        }
        
        
        
        //$resultado = 1;
        if($conn->query($query) == TRUE){
            $q_select = "SELECT MAX(idSocio_Servicio) AS idInsert FROM socio_servicio WHERE idSocioTitular = '$obj->id_cliente'";
            $result = $conn->query($q_select);
            $row = $result->fetch_assoc();
            $id_insert = $row['idInsert'];
        
            switch($obj->plan){
                case '1':
                    $mes = 0;
                    break;
                case '2':
                    $mes = 7;
                    break;
                case '3':
                    $mes = 15;
                    break;
                case '4':
                    $mes = 1;
                    break;
                case '5':
                    $mes = 2;
                    break;
                case '6':
                    $mes = 3;
                    break;
                case '7':
                    $mes = 4;
                    break;
                case '8':
                    $mes = 6;
                    break;
                case '9':
                    $mes = 12;
                    break;
                
            }
            
            $row_fecha = $result_fecha->fetch_assoc();
            $fecha_hoy = date('Y-m-d');
            $fechaI;
            $concepto;
            //echo 'Op '.$obj->opcion."\n";
            if($obj->opcion == "99"){
                $fechaI = $row_fecha['FechaFin'];
                $concepto = "99";
            }else if($obj->opcion == "97"){
                $fechaI = date('Y-m-d');
            }
            else{
                $fechaI = $obj->fecha_visita;
                $concepto = "00";
            }
            $query_pagos;
            
            if($mes == 0 || $mes == 7 || $mes == 15){
                $fecha_vencimiento = "DATE_ADD( '$fechaI', INTERVAL ".$mes." DAY)";
                
            }else{
                $fecha_vencimiento = "DATE_ADD( '$fechaI', INTERVAL ".$mes." MONTH)";
            }
            
            if($obj->opcion != "00"){
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                values ($id_insert,$obj->opcion,NOW(),$obj->importe,2,2,0.00,$obj->importe,CURDATE(),'$obj->opPago',0.00,'$obj->opPago',0.00,
                $obj->sucursal,1,$fecha_vencimiento,0)";
            }else{
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                values ($id_insert,'00',NOW(),$obj->importe,2,2,0.00,$obj->importe,CURDATE(),'$obj->opPago',0.00,'$obj->opPago',0.00,
                $obj->sucursal,0,$fecha_vencimiento,0)";
            }
            
            
            if($conn->query($query_pagos) == TRUE){
                if($obj->opcion == "97"){
                    $querySocio = "UPDATE socios SET Activo = 1 WHERE idSocio = $obj->id_cliente";
                    if($conn->query($querySocio) == TRUE){
                        echo 'success';
                    }else{
                        echo 'error';
                    }
                }else{
                    echo 'success';
                }
                
            }else{
                echo 'error '. $query_pagos. ' '. $conn->error;
            }
            
        }else{
            echo 'Ocurrio un error';
        }
        
        $conn->close();
        break;
    
    case '1': //PAGO LOCKERS
        $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        $conn -> set_charset("utf8");
        $addFecha;
        $queryLocker = "SELECT 
                locker.num_locker,
                lockers_socios.Lockers_idLocker,
              	lockers_socios.Socios_idSocio as 'id', 
                lockers.idLocker as 'id_gl', 
                locker.id_locker as 'idlk_c', 
                CONCAT(socios.Nombre, ' ', socios.Apellidos) as 'name', 
                lockers.Clave as 'grupo',
                locker.num_locker as 'num_locker', 
                lockers_socios.FechaAsignacion as 'pago', 
                lockers_socios.FechaVencimiento, 
                lockers_socios.concepto_pago, 
                lockers_socios.importe as 'total', 
                lockers_socios.estado,
                lockers_socios.cancelado,
                sucursal.NombreSucursal as 'sucursal',
                lockers_socios.locker_asignado,
                lockers.*,
                IF(lockers_socios.FechaVencimiento < DATE_FORMAT(NOW(), '%d/%m/%Y') 
            		AND lockers_socios.cancelado = 0 AND lockers_socios.estado = 1, 'TRUE', 'FALSE') as 'vencimiento',
            	DATE_FORMAT(lockers_socios.FechaVencimiento, '%e-%c-%Y') AS Fecha_Vencimiento
            FROM 
                lockers_socios, 
                socios, 
                lockers, 
                sucursal, 
                locker 
            WHERE 
                lockers_socios.Lockers_idLocker = lockers.idLocker 
                AND lockers_socios.Socios_idSocio = socios.idSocio 
                AND lockers_socios.sucursal_idSucursal = sucursal.idSucursal 
                AND socios.idSocio = '$obj->id_cliente'
                AND lockers_socios.locker_asignado = locker.id_locker
                AND lockers_socios.cancelado = 0
            ORDER BY 
                lockers_socios.id_lockers_socios DESC LIMIT 1";
            
        $resultadoL = $conn->query($queryLocker);
        $row_fecha = $resultadoL->fetch_assoc();
        $fechaVen = $row_fecha['FechaVencimiento'];
        $fecha_act = $row_fecha['pago'];
        switch($obj->concepto){
            case '1':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 DAY)";
                break;
            case '2':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 7 DAY)";
                break;
            case '3':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 15 DAY)";
                break;
            case '4':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 MONTH)";
                break;
            case '5':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 6 MONTH)";
                break;
            case '6':
                $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 12 MONTH)";
                break;
        }
            
        $query = "INSERT INTO lockers_socios(Lockers_idLocker,Socios_idSocio,locker_asignado,FechaAsignacion,FechaVencimiento,estado,concepto_pago,tipo_pago,
            cantidad_tarjeta,importe,user_idUsuario,sucursal_idSucursal,cancelado)
            VALUES('$obj->idLocker','$obj->id_cliente','$obj->lock_asig','$fechaVen',$addFecha,1,'$obj->concepto',2,'$obj->costo','$obj->costo',21,'$obj->suc',0)";
            
        if($conn->query($query) == TRUE){
            echo 'success';
        }else{
            echo 'fail';
        }
        $conn->close();
        break;
}

?>